<div *ngIf="detailAllFilm" fxLayout="row wrap" fxLayoutAlign="center center" class="content-banner">
    <div fxLayout="row wrap" fxLayoutAlign="center center" class="container">
        <h1 fxFlex.gt-xs="80" fxFlex="100">{{detailAllFilm.title}}</h1>
        <p fxFlex.gt-xs="80" fxFlex="100">
            {{detailAllFilm.opening_crawl}}
        </p>
        <h4 fxFlex.gt-xs="80" fxFlex="100">{{detailAllFilm.director}}</h4>
        <h4 fxFlex.gt-xs="80" fxFlex="100">{{detailAllFilm.producer}}</h4>
        <h4 fxFlex.gt-xs="80" fxFlex="100">{{detailAllFilm.release_date}}</h4>
    </div>
</div>

<div fxLayout="row wrap" fxLayoutAlign="center start" style="position: relative;z-index: 10;">
    <div class="container" fxFlex.gt-sm="80" fxFlex="100" style="background-color: white !important">
        <mat-list class="list-caracteristica">

            <div fxLayout="column">
                <mat-accordion>
                  <mat-expansion-panel>
                      <mat-expansion-panel-header>
                          <mat-panel-title>
                              Personajes
                          </mat-panel-title>
                      </mat-expansion-panel-header>
                      <mat-panel-description>
                        <mat-list style="width: 100%">
                          <a mat-list-item *ngFor="let character of detailAllFilm.characters">
                            {{character}}
                            <div class="example-spacer"></div>
                            <button mat-mini-fab style="background-color: transparent;">
                              <mat-icon style="color:#333 !important">send</mat-icon>
                            </button>
                          </a>
                        </mat-list>
                      </mat-panel-description>
                  </mat-expansion-panel>
                </mat-accordion>
            </div>

            <div fxLayout="column">
              <mat-accordion>
                <mat-expansion-panel>
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Planetas
                        </mat-panel-title>
                    </mat-expansion-panel-header>
                    <mat-panel-description>
                      <mat-list style="width: 100%">
                        <a mat-list-item *ngFor="let planets of detailAllFilm.planets">
                          {{planets}}
                          <div class="example-spacer"></div>
                          <button mat-mini-fab style="background-color: transparent;">
                            <mat-icon style="color:#333 !important">send</mat-icon>
                          </button>
                        </a>
                      </mat-list>
                    </mat-panel-description>
                </mat-expansion-panel>
              </mat-accordion>
            </div>

            <div fxLayout="column">
              <mat-accordion>
                <mat-expansion-panel>
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Planetas
                        </mat-panel-title>
                    </mat-expansion-panel-header>
                    <mat-panel-description>
                      <mat-list style="width: 100%">
                        <a mat-list-item *ngFor="let species of detailAllFilm.species">
                          {{species}}
                          <div class="example-spacer"></div>
                          <button mat-mini-fab style="background-color: transparent;">
                            <mat-icon style="color:#333 !important">send</mat-icon>
                          </button>
                        </a>
                      </mat-list>
                    </mat-panel-description>
                </mat-expansion-panel>
              </mat-accordion>
            </div>

            <div fxLayout="column">
              <mat-accordion>
                <mat-expansion-panel>
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Naves
                        </mat-panel-title>
                    </mat-expansion-panel-header>
                    <mat-panel-description>
                      <mat-list style="width: 100%">
                        <a mat-list-item *ngFor="let starships of detailAllFilm.starships">
                          {{starships}}
                          <div class="example-spacer"></div>
                          <button mat-mini-fab style="background-color: transparent;">
                            <mat-icon style="color:#333 !important">send</mat-icon>
                          </button>
                        </a>
                      </mat-list>
                    </mat-panel-description>
                </mat-expansion-panel>
              </mat-accordion>
            </div>

            <div fxLayout="column">
              <mat-accordion>
                <mat-expansion-panel>
                    <mat-expansion-panel-header>
                        <mat-panel-title>
                            Vehiculos
                        </mat-panel-title>
                    </mat-expansion-panel-header>
                    <mat-panel-description>
                      <mat-list style="width: 100%">
                        <a mat-list-item *ngFor="let vehicles of detailAllFilm.vehicles">
                          {{vehicles}}
                          <div class="example-spacer"></div>
                          <button mat-mini-fab style="background-color: transparent;">
                            <mat-icon style="color:#333 !important">send</mat-icon>
                          </button>
                        </a>
                      </mat-list>
                    </mat-panel-description>
                </mat-expansion-panel>
              </mat-accordion>
            </div>
        </mat-list>
    </div>
</div>
